Subject: [apps-discuss] using the name "simple web discovery" to replace the name "webfinger"?

From: Michiel de Jong <[email-masked]>
Date: Sun, 10 Jun 2012 09:07:02 +0200

The webfinger spec
(http://tools.ietf.org/html/draft-jones-appsawg-webfinger-05 ) and the
simple web discovery spec
(http://tools.ietf.org/html/draft-jones-simple-web-discovery-02 ) are
being merged into one thing.

We need a name to refer to the result of this merge. This means we
need to pick one of the names to go forward with, and deprecate the
other name, or pick a new name altogether and deprecate both current
names.

I think currently 'bare user@host vs acct:user@host' and 'xml or json
vs only json' are two points that still need to be resolved before the
merge is complete, right? Anyway, that's not the topic of this thread
- let's just suppose a consensus will be reached, and the specs will
be merged.

Then, I think Blaine Cook, Paul Jones and Mike Jones have all
indicated in previous threads that they are open to picking 'simple
web discovery' as the new name.

FWIW, i personally am the kind of person who enjoys giving nice names
to things, and i particularly enjoy saying 'webfinger' because it's
more creative, less boring, and funnier as a name. Also, to me it
makes perfect sense that it's "finger for the web". However, in my
experience explaining to people that remoteStorage
(http://www.w3.org/community/unhosted/wiki/RemoteStorage ) combines
XHR with CORS, OAuth and webfinger, people usually know what XHR is
(especially if i call it AJAX), 50% know what OAuth is, and for CORS
the face i get from them is 'oh that must be some sort of special
mechanism'.

The face i sometimes (not always) get for webfinger is 'huh? is that a
real thing?'. :) also, when i do explain webfinger to people, unless
they look like old school finger users, i tell them it is 'a simple
mechanism for  discovering service on the web'. So it is my opinion
that 'simple web discovery' would be a (more boring, but) better name
than 'webfinger'. A downside would be that we need to update it
everywhere, but i guess we can get over that.

maybe other people have other experiences or insights about this name choice?

Cheers,
Michiel

---

From: Melvin Carvalho <[email-masked]>
Date: Sun, 10 Jun 2012 09:38:21 +0200

> maybe other people have other experiences or insights about this name

+1 Simple Web Discovery

Feedback I've heard is that 'Webfinger' sounds cool to those that remember
finger, but maybe a bit 'creepy' otherwise.

>
>
> Cheers,
> Michiel
> _______________________________________________
> apps-discuss mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/apps-discuss
>

---

From: William Mills <[email-masked]>
Date: Mon, 11 Jun 2012 07:28:06 -0700 (PDT)

I think it would be odd to change the working name of the extant draft for what is really a relatively small set of changes.  I do not think we should change the name.

-bill

P.S. if we were starting from scratch picking names I would favor SWD over WF

>________________________________
> From: Michiel de Jong <[email-masked]>
>To: Apps Discuss <[email-masked]> 
>Sent: Sunday, June 10, 2012 12:07 AM
>Subject: [apps-discuss] using the name "simple web discovery" to replace the name "webfinger"?
> 
>The webfinger spec

---

From: Peter Saint-Andre <[email-masked]>
Date: Mon, 11 Jun 2012 08:34:50 -0600

Agreed. I think that, at this point, such a name change would be
confusing. And I've had enough of confusing name changes this year (yes,
I'm on the SCIM list...).

On 6/11/12 8:28 AM, William Mills wrote:
> I think it would be odd to change the working name of the extant draft
> for what is really a relatively small set of changes.  I do not think we
> should change the name.
> 
> -bill
> 
>     ------------------------------------------------------------------------
>     *From:* Michiel de Jong <[email-masked]>
>     *To:* Apps Discuss <[email-masked]>
>     *Sent:* Sunday, June 10, 2012 12:07 AM
>     *Subject:* [apps-discuss] using the name "simple web discovery" to
>     replace the name "webfinger"?
> 
>     The webfinger spec
>     [email-masked] <mailto:[email-masked]>

-- 
Peter Saint-Andre
https://stpeter.im/

---

From: Bob Wyman <[email-masked]>
Date: Mon, 11 Jun 2012 10:55:26 -0400

I oppose changing the name. We've been talking about WebFinger for many
years now and much context and history would be lost if the name changed.
The SWD stuff is a relative newcomer not to mention a fairly vague name. I
see no value in changing the name -- only downsides.

bob wyman

---

From: Paul Hoffman <[email-masked]>
Date: Mon, 11 Jun 2012 09:09:15 -0700

On Jun 11, 2012, at 7:34 AM, Peter Saint-Andre wrote:

> confusing.

The name "webfinger" is also confusing and not nearly as descriptive as "web discovery" (which some people might think of as "simple"). The confusion of changing the name now is limited; the confusion for using the wrong name in the protocol is long-term.

+1 to "[simple] web discovery".

---

From: Peter Saint-Andre <[email-masked]>
Date: Mon, 11 Jun 2012 10:27:08 -0600

> +1 to "[simple] web discovery".

But some members of the current IESG will probably object to "simple",
as witness the SCIM debate.

Peter

-- 
Peter Saint-Andre
https://stpeter.im/

---

From: Phil Hunt <[email-masked]>
Date: Mon, 11 Jun 2012 09:28:58 -0700

I simply can't resist.  "System for Web Discovery"?

Phil

@independentid
www.independentid.com
[email-masked]

---

From: Peter Saint-Andre <[email-masked]>
Date: Mon, 11 Jun 2012 10:34:45 -0600

> I simply can't resist.  "System for Web Discovery"?

Aaagh, please not another naming debate!!!

But now that you mention it, there is a system for web discovery here:
it consists of well-known URIs (RFC 5785), web linking (RFC 5988), the
hostmeta document type (RFC 6145), the Extensible Resource Descriptor
(XRD) and JavaScript Object Notation (JSON) Resource Descriptor (JRD)
document types, the Link-based Resource Descriptor
Document (LRDD) type, and now WebFinger. To rename WebFinger part of
this stack "Web Discovery" would be confusing, IMHO.

Peter

-- 
Peter Saint-Andre
https://stpeter.im/

---

From: elf Pavlik <[email-masked]>
Date: Mon, 11 Jun 2012 16:35:41 +0000

> maybe other people have other experiences or insights about this name choice?

i would keep in mind that quite a lot of code bases use 'webfinger', not sure how many implementations use SWD in their sources ...

---

From: Andrew Sullivan <[email-masked]>
Date: Mon, 11 Jun 2012 12:36:58 -0400

> as witness the SCIM debate.

"Elementary" instead?

A

-- 
Andrew Sullivan
[email-masked]

---

From: Tim Bray <[email-masked]>
Date: Mon, 11 Jun 2012 09:45:41 -0700

This bikeshed should totally be turquoise, as even a little thought will
reveal. -T

On Mon, Jun 11, 2012 at 9:27 AM, Peter Saint-Andre <[email-masked]>wrote:

> > The name "webfinger" is also confusing and not nearly as descriptive as
> "web discovery" (which some people might think of as "simple"). The
> confusion of changing the name now is limited; the confusion for using the
> wrong name in the protocol is long-term.
> >

---

From: John C Klensin <[email-masked]>
Date: Mon, 11 Jun 2012 14:32:30 -0400

--On Monday, June 11, 2012 09:09 -0700 Paul Hoffman
<[email-masked]> wrote:
 
> The name "webfinger" is also confusing and not nearly as
> descriptive as "web discovery" (which some people might think
> of as "simple"). The confusion of changing the name now is
> limited; the confusion for using the wrong name in the
> protocol is long-term.
> 

+1.  And I'd skip "simple", which has has acquired funny
semantics in the IETF.  Either "web discovery" or come up with
another term.  "Finger-like Web Discovery" would be fairly ugly,
but at least moderately precise and explanatory.  As as Paul
points out, "webfinger" is just confusing except to insiders.

   john

---

From: William Mills <[email-masked]>
Date: Mon, 11 Jun 2012 13:45:56 -0700 (PDT)

Here I think is the key question....  If we did not have the SWD draft being rolled in, would a name change be considered?  Ignore the name SWD for now, would we consider changing the name at all?

I doubt it.

-bill

> From: John C Klensin <[email-masked]>
>To: Paul Hoffman <[email-masked]>; Peter Saint-Andre <[email-masked]> 
>Cc: Apps Discuss <[email-masked]> 
>Sent: Monday, June 11, 2012 11:32 AM
>Subject: Re: [apps-discuss] using the name "simple web discovery" to replace the name "webfinger"?
> 
>
>

---

From: Paul Hoffman <[email-masked]>
Date: Mon, 11 Jun 2012 13:50:33 -0700

> Here I think is the key question....  If we did not have the SWD draft being rolled in, would a name change be considered?  Ignore the name SWD for now, would we consider changing the name at all?

Don't doubt it. At least a few of us were talking about it in the halls in Paris.

--Paul Hoffman

---

From: Blaine Cook <[email-masked]>
Date: Mon, 11 Jun 2012 21:50:51 +0100

You're way off base here, Tim (don't worry, you're not alone). Clearly
the merged spec should be called "Simple Web Finger II: Discovery".

b.

---

From: John Bradley <[email-masked]>
Date: Mon, 11 Jun 2012 21:52:08 +0100

I would prefer to get agreement on all the remaining issues needed before the merge before worrying about the name.

This was not an issue raised by any of the SWD people.  

The scheme issue is probably the largest outstanding difference.

I know Mike J. and Paul J. have been talking.

Can we get a list of open issues,  not including this distraction?

John B.

---

From: John C Klensin <[email-masked]>
Date: Mon, 11 Jun 2012 17:51:05 -0400

--On Monday, June 11, 2012 21:52 +0100 John Bradley
<[email-masked]> wrote:

> I would prefer to get agreement on all the remaining issues
> needed before the merge before worrying about the name.
> 

John, 

You may reasonably consider it a distraction, but it is usually
considered reasonable around the IETF for those who lack either
the time or interest to be deeply involved in the details of a
protocol specification to wait until there is a penultimate
document in the WG (or even in IETF LC), do a review at that
time, and then object to issues like naming, IANA templates, the
details of Security Considerations and other "distractions".  If
that is the way you and others who are more actively involved
prefer to have things unfold, it is fine with me.  But, from
experience, distractions that are dealt with well before someone
asks the WG Chairs to initiate a WG Last Call, start shepherd
writeups, etc., tend to be a lot less distracting than things
that come up and get debated as part of the end game.

    john